#
# spec file for package perl-AnyEvent (Version 5.271)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-AnyEvent
Summary:        DBI of event loop programming
Version:        5.271
Release:        20.2
License:        Artistic License, GPL
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/AnyEvent/
#Source:         http://www.cpan.org/modules/by-module/AnyEvent/AnyEvent-%{version}.tar.gz
Source:         AnyEvent-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
#
Recommends:     perl(Async::Interrupt) >= 1
Recommends:     perl(EV) >= 3.05
Recommends:     perl(Guard) >= 1.02
Recommends:     perl(JSON) >= 2.09
Recommends:     perl(JSON::XS) >= 2.2
Recommends:     perl(Net::SSLeay) >= 1.33

%description
AnyEvent provides an identical interface to multiple event loops. This
allows module authors to utilise an event loop without forcing module users
to use the same event loop (as only a single event loop can coexist
peacefully at any one time).

The interface itself is vaguely similar, but not identical to the Event
module.

  Author:       Marc Lehmann <schmorp@schmorp.de>

%prep
%setup -q -n AnyEvent-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes COPYING README

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul  6 2010 chris@computersalat.de
- update to 5.271
  - backport to perl 5.8.x.
- 5.27   Sun Jun  6 12:12:05 CEST 2010
  - postpone differently in AnyEvent::Socket now, as
    when not, canceling the connection attempt might fail
    (found by Felix Antonius Wilhelm Ostmann).
  - explicitly check for non-stream sockets in AE::Handle, too many
    clueless people fell into the trap of this somehow working.
  - simplified and reworked the "OTHER MODULES" section.
  - better/more condvar examples.
- spec created by cpanspec 1.78
* Wed May  5 2010 lnussel@suse.de
- don't package empty vendorarch directory
* Thu Apr 29 2010 lnussel@suse.de
- make noarch
* Thu Apr 29 2010 lnussel@suse.de
- new version 2.261
  - AF_INET6 was not properly used from Socket6 during configuration
  time (found by Andy Grundman).
  - don't generate spurious readyness notifications when select
  returns EINTR in the pure perl backend (analysed and testcase
  by Bas Denissen).
  - give same examples in SYNOPSIS sections of AnyEvent and AE.
  - provider faster implementations for AE::time/now/now_update for
  EV and Perl backends.
  - provide faster AE::cv and AE::time implementations for all
  backends.
  - no longer support lower/mixed-case signal names (this was
  never documented nor universally supported).
  - some more memory-optimisations, and somewhat less messy
  code to cope with both AnyEvent and AE APIs.
* Tue Mar 16 2010 lnussel@suse.de
- new version 5.251
  - fix a race condition in AnyEvent::Handle that would cause
    a "bio_read: unsupported method" error (in _another_
    ssl connection) after user code threw an exception.
  - added AnyEvent::Handle->destroyed method.
  - speed up AnyEvent::Socket::format_address and ::format_ipv6.
  - the AnyEvent::Util::fh_nonblocking function worked only
    by lucky accident on win32.
  - smaller and faster AnyEvent::Util::fh_nonblocking.
  - when the (required!) Time::HiRes module is missing, AnyEvent
    did not fall back to built-in time properly.
  - do not load Fcntl at runtime, saving memory and loading time.
  - precompile a number of constants and use them instead of runtime
    detection and eval.
  - free detection code after detection and similar memory optimisations.
  - Perl backend timer interval best effort drift has been improved
    (ame algorithm as EV).
  - update unicode idna mapping table.
* Fri Feb 26 2010 lnussel@suse.de
- new version 5.24
  - JSON dependency optional
  - IDN support
  - IPv6 support
* Fri Sep  4 2009 chris@computersalat.de
- spec mods
  o added header
  o added perl-macros
  o cleanup
- fixed deps
  o Requires
    perl = perl_version
    perl(JSON) >= 2.09
  o added Recommends
    perl(EV) >= 3.4
    perl(JSON::XS) >= 2.2
    perl(Async::Interrupt) >= 1.0
    perl(Net::SLeay) >= 1.33
    perl(Guard) >= 1.02
* Thu Jun 11 2009 jw@novell.com
- initial build of AnyEvent-4.352.tar.gz
